PMLOGBASENAME(1)

NAME
pmlogbasename - basename of a PCP archive

SYNOPSIS
pmlogbasename name

DESCRIPTION
pmlogbasename takes name (usually the name of one of the physical files in a PCP archive) and strips it of any compression suffixes then strips it of any PCP archive component suffixes, then reports the result (the basename of a PCP archive) on standard output.

The compression suffixes known to PCP are: .xz, .lzma, .bz2, .bz, .gz, .Z and .z.

The PCP archive component suffixes are: .meta, .index and .<n> for any integer <n>.

The stripping is purely textual and is done without tests for the existence of any of the associated files, although if name does not match the pattern of a valid file name for a PCP archive then the output is name without any stripping.

SEE ALSO
PCPIntro(1) and LOGARCHIVE(5).